---
title: "Retrieve JB Groups By Code"
slug: "retrieve-jb-groups-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-jb-groups-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve JB Groups By Code

Get/jb-rest-api/rest/1/jbgroup

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Code
- By UUID

#### Select By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| GroupCode | Group Code | 15100 |
| CompCode | Company Code | 001 |
| ContCode | Contract Code | 00100 |
| GroupNum | Group Number | 1 |

#### By UUID

This is an optional finder for querying a specific Job Billing Group by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /jb-rest-api/rest/1/jbgroup/E7C9D29DA1302E6CE05316821FAC2D6C |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode;GroupCode=15100,CompCode=001,ContCode=00100,GroupNum=1
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleJbgVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='e808601d-321e-4465-9f64-53f1bf6d0abc'>application/json</option>
</select>

```json
{
  "items": [
    {
      "JbgCompCode": "001",
      "JbgContCode": "00100",
      "JbgGroupNum": 1,
      "JbgGroupCode": "15100",
      "JbgName": "Building Services Piping",
      "JbgGroupMaxBillingAmt": null,
      "JbgGroupPremiumSplitFlag": "N",
      "JbgIuCreateDate": "2016-09-21T20:11:09Z",
      "JbgIuUpdateDate": null,
      "JbgVUuid": "E7C9D29DA1302E6CE05316821FAC2D6C",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jb-rest-api/rest/1/jbgroup/E7C9D29DA1302E6CE05316821FAC2D6C",
          "name": "jbgroup",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jb-rest-api/rest/1/jbgroup/E7C9D29DA1302E6CE05316821FAC2D6C",
          "name": "jbgroup",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jb-rest-api/rest/1/jbgroup",
      "name": "jbgroup",
      "kind": "collection"
    }
  ]
}
```

object
